Description

I've tried to add 5 table document from a Postgres source gvSIG freezes. After a while, console shows this message:

Caused by: org.gvsig.fmap.dal.resource.exception.AccessResourceException: Error while atemp to access resource
'PostgreSQLResource(jdbc:postgresql://localhost:5432/reconecdb,reconec)'.
    at org.gvsig.fmap.dal.resource.db.AbstractDBResourceNoBlocker.get(AbstractDBResourceNoBlocker.java:76)
    at org.gvsig.fmap.dal.store.jdbc.JDBCResource.getJDBCConnection(JDBCResource.java:99)
    at org.gvsig.fmap.dal.store.jdbc.JDBCHelper.getConnection(JDBCHelper.java:212)
    at org.gvsig.fmap.dal.store.jdbc.JDBCHelper$3.run(JDBCHelper.java:248)
    at org.gvsig.fmap.dal.resource.spi.AbstractResource.performExecution(AbstractResource.java:316)
    at org.gvsig.fmap.dal.resource.spi.AbstractNonBlockingResource.execute(AbstractNonBlockingResource.java:57)
    ... 72 more
Caused by: org.gvsig.fmap.dal.store.jdbc.exception.JDBCSQLException: An JDBC driver exception was throw
    at org.gvsig.fmap.dal.store.postgresql.PostgreSQLResource.getTheConnection(PostgreSQLResource.java:190)
    at org.gvsig.fmap.dal.resource.db.AbstractDBResourceNoBlocker.get(AbstractDBResourceNoBlocker.java:74)
    ... 77 more
Caused by: org.apache.commons.dbcp.SQLNestedException: Cannot get a connection, pool error Timeout waiting for idle
object
    at org.apache.commons.dbcp.PoolingDataSource.getConnection(PoolingDataSource.java:104)
    at org.apache.commons.dbcp.BasicDataSource.getConnection(BasicDataSource.java:880)
    at org.gvsig.fmap.dal.store.postgresql.PostgreSQLResource.getTheConnection(PostgreSQLResource.java:186)
    ... 78 more
Caused by: java.util.NoSuchElementException: Timeout waiting for idle object
    at org.apache.commons.pool.impl.GenericObjectPool.borrowObject(GenericObjectPool.java:1174)
    at org.apache.commons.dbcp.PoolingDataSource.getConnection(PoolingDataSource.java:96)
    ... 80 more

I think that this problem is caused due a missing dispose-call of a DB resource

History
#1 - 12/20/2013 12:44 PM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez

#2 - 12/20/2013 02:06 PM - Juan Lucas Domínguez
- Status changed from New to Fixed

Closing connection after short use and improving GUI events management.

gvsig-desktop:r40999

#3 - 01/13/2014 09:50 AM - Joaquín  del Cerro Murciano
- Target version set to 2.1.0-2217-devel

#4 - 01/28/2014 09:17 AM - Álvaro Anguix
- Status changed from Fixed to Closed
